# statusbar_gui.h File Reference

Functions, definitions and such used only by the GUI. More...

Go to the source code of this file.

## Enumerations
enum | StatusBarInvalidate { SBI_SAVELOAD_START, SBI_SAVELOAD_FINISH, SBI_SHOW_TICKER, SBI_SHOW_REMINDER, SBI_NEWS_DELETED, SBI_END }
## Functions
bool | IsNewsTickerShown ()
| Checks whether the news ticker is currently being used.
void | ShowStatusBar ()

## Detailed Description

Functions, definitions and such used only by the GUI.

Definition in file statusbar_gui.h.

## Enumeration Type Documentation

enum StatusBarInvalidate

Enumerator:

  SBI_SAVELOAD_START | started saving
  SBI_SAVELOAD_FINISH | finished saving
  SBI_SHOW_TICKER | start scolling news
  SBI_SHOW_REMINDER | show a reminder (dot on the right side of the statusbar)
  SBI_NEWS_DELETED | abort current news display (active news were deleted)

Definition at line 15 of file statusbar_gui.h.